import { r as registerInstance, h } from './index-b13326fc.js';

const ElementAudioEditor = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    prop(path, options = {}) {
        return this.handler.prop(path, Object.assign({}, options));
    }
    render() {
        return [
            h("bce-switch", Object.assign({ label: this.t('me-auto-play') }, this.prop('autoplay'))),
            h("bce-upload", Object.assign({ accept: "audio/*" }, this.prop('location'))),
            h("slot", null)
        ];
    }
};

export { ElementAudioEditor as bce_element_audio_editor };
